summarylogtreecommitdiffstats
path: root/jlivertool.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-12 11:40:47 +0800
committerzxp198210052023-12-12 11:40:47 +0800
commit56694f6dcbaad3932175cb3c5000b17885a69f77 (patch)
tree325e473e6f332057d13dacba3de42be1f7f2dc5b /jlivertool.sh
parent096b1490dbc16ee15e28d14ba5d89548940392c1 (diff)
downloadaur-56694f6dcbaad3932175cb3c5000b17885a69f77.tar.gz
fix errors
Diffstat (limited to 'jlivertool.sh')
-rw-r--r--jlivertool.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jlivertool.sh b/jlivertool.sh
index e69de29bb2d1..2ec4412e5c4f 100644
--- a/jlivertool.sh
+++ b/jlivertool.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+else
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+fi \ No newline at end of file